Promote thesis to Trade Manager card
curl --request POST \
--url https://api.example.com/api/graph/v1/trade/cards/promote/thesis/{thesis_id} \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "<string>",
"mode": "monitor",
"paper_live_mode": "paper",
"sizing_type": "risk_percent",
"sizing_value": 2
}
'import requests
url = "https://api.example.com/api/graph/v1/trade/cards/promote/thesis/{thesis_id}"
payload = {
"symbol": "<string>",
"mode": "monitor",
"paper_live_mode": "paper",
"sizing_type": "risk_percent",
"sizing_value": 2
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
symbol: '<string>',
mode: 'monitor',
paper_live_mode: 'paper',
sizing_type: 'risk_percent',
sizing_value: 2
})
};
fetch('https://api.example.com/api/graph/v1/trade/cards/promote/thesis/{thesis_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": "strategy_lib",
"paper_live_mode": "paper",
"mode": "autonomous",
"instrument": {
"kind": "equity",
"symbol": "<string>",
"underlying": "<string>",
"option_details": {
"strike": "<string>",
"expiration": "2023-12-25",
"type": "C"
}
},
"column_state": "queue",
"sizing": {
"type": "<string>",
"value": "<string>",
"computed_shares": "0",
"computed_risk_dollars": "0"
},
"source_ref": "<string>",
"strategy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy_name": "<string>",
"strategy_version": 123,
"substate": "hunting",
"entry_triggers": {},
"exit_rules": {},
"broker_order_id": "<string>",
"fill_ladder": [
{
"ts": "2023-11-07T05:31:56Z",
"shares": "<string>",
"price": "<string>",
"side": "buy",
"broker_fill_id": "<string>"
}
],
"position": {
"shares": "<string>",
"avg_price": "<string>",
"unrealized_pnl": "0",
"realized_pnl": "0"
},
"fitness": {
"regime_match": "active",
"fitness_score": 50,
"ripe": false,
"last_computed_at": "2023-11-07T05:31:56Z"
},
"costs": {
"expected_commission": "<string>",
"expected_slippage_bps": "<string>",
"realized_commission": "<string>",
"realized_slippage_bps": "<string>",
"expected_fill_price": "<string>",
"realized_fill_price": "<string>"
},
"reconcile_state": "ok",
"audit_log_count": 0,
"latest_audit_entry": {
"ts": "2023-11-07T05:31:56Z",
"actor": "user",
"action": "<string>",
"reason": "",
"correlation_id": "<string>",
"market_snapshot": {
"ts": "2023-11-07T05:31:56Z",
"bar_symbol": "",
"bar_open": "<string>",
"bar_high": "<string>",
"bar_low": "<string>",
"bar_close": "<string>",
"bar_volume": 123,
"bar_vwap": "<string>",
"quote_bid": "<string>",
"quote_ask": "<string>",
"quote_bid_size": 123,
"quote_ask_size": 123,
"indicators": {},
"regime_dominant": "",
"regime_confidence": 123,
"signals": {},
"risk_day_dollars": "<string>",
"risk_pct_cap": 123,
"risk_loss_remaining": "<string>"
},
"before": {},
"after": {},
"strategy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy_version": 123
},
"schema_version": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}trade-cards
Promote thesis to Trade Manager card
Create a Queue card from a thesis. Populates thesis_id, strategy from thesis-linked strategy (if any), and defaults to monitor mode.
POST
/
api
/
graph
/
v1
/
trade
/
cards
/
promote
/
thesis
/
{thesis_id}
Promote thesis to Trade Manager card
Path Parameters
Body
application/json
Promote a thesis to a Trade Manager card.
Maximum string length:
10Available options:
autonomous, supervised, monitor, manual Available options:
paper, live Required range:
0.1 <= x <= 100Response
Successful Response
Full trade card state returned by the API.
Available options:
strategy_lib, order_builder, auto_respawn, thesis_promote, backtest_promote Available options:
paper, live Available options:
autonomous, supervised, monitor, manual Show child attributes
Show child attributes
Available options:
queue, pending, open, closed Show child attributes
Show child attributes
Available options:
hunting, working, partial, exited, cancelled, invalidated, confirm_pending Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ok, reconciling, unreconciled, requires_manual_review Show child attributes
Show child attributes